# Add or Update Event

## addOrUpdateEvent

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=addOrUpdateEvent`

Add or update event details.

#### Request Body

| Name                 | Type    | Description                                                                                                                          |
| -------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| businessUnitId       | integer | Required when business unit defined in event's account                                                                               |
| eventType            | string  | Required when adding an event. Value must be 12. The value cannot be changed for an existing event.                                  |
| title                | string  | Required when adding an event. The title of the event. Max Length: 140                                                               |
| timezone             | string  | Required when adding an event. The timezone of the event. (Datatype = timestamp)                                                     |
| startDateTime        | string  | When adding an event. The start date & time of the event.                                                                            |
| endDateTime          | string  | When adding an event. The end date & time of the event. The value must be on or after startDateTime. (Datatype = timestamp)          |
| capacity             | integer | The maximum number of attendees who can register for the event. A value of 0 (zero) represents no limit.                             |
| budget               | number  | A budget amount assigned to the event. (Datatype = float)                                                                            |
| costCenterId         | integer | A cost center assigned to the event. The value is an identifier of a cost center in the account, which must be assignable to events. |
| primaryContactUserId | integer | The primary contact user of the event. The value is an identifier of a user in the account.                                          |

{% tabs %}
{% tab title="200 " %}

```
{
  "success": true,
  "id": 98481,
  "code": "BAS4G248"
}
```

{% endtab %}
{% endtabs %}

## Example Request

```javascript
{
  "eventType": 12,
  "title": "A New Event",
  "timezone": "Australia/Sydney",
  "startDateTime": "2018-03-05 03:00:00 UTC",
  "endDateTime": "2018-03-05 06:00:00 UTC",
  "capacity": 10,
  "budget": 150,
  "costCenterId": 834,
  "primaryContactUserId": 7821,
  "eventTypeIds": [56,57],
  "isAccommIncluded": false
}
```

This action call accepts the parameters of an event and will;

1\) Add a new event to the account

2\) Update an existing event in the account when the id parameter is provided.

NOTE: This action call only supports “Record Event Details” type events (i.e. eventType value of 12).

## Returns

| Property | Description                                                               | Type    |
| -------- | ------------------------------------------------------------------------- | ------- |
| success  | Whether or not the action succeeded (i.e. the event as added or updated). | boolean |
| id       | The event’s unique identifier. The value will be null on failure.         | integer |
| code     | The event’s unique code. The value will be null on failure.               | string  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/events/add-or-update-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
